local includes = { "include", "include/gearlib" }

workspace "gearlib"
    configurations { "Debug", "Release" }
    location "build"

    outputdir = "%{cfg.buildcfg}-%{cfg.system}"

    include "vendor/glfw"

project "gearlib"
    kind "StaticLib"
    language "C++"
    targetdir "bin/%{cfg.buildcfg}/gearlib"

    files { "include/**.h", "src/**.cpp", "src/**.c" }
    includedirs(includes)
    links { "GLFW", "m" }

    filter "configurations:Debug"
        defines { "DEBUG" }
        symbols "On"

    filter "configurations:Release"
        defines { "NDEBUG" }
        optimize "On"

project "test"
    kind "ConsoleApp"
    language "C++"
    targetdir "bin/%{cfg.buildcfg}/test"

    files { "examples/test.cpp" }
    includedirs(includes)
    links { "GLFW", "gearlib", "m" }

    debugdir "examples"

    filter "configurations:Debug"
        defines { "DEBUG" }
        symbols "On"

    filter "configurations:Release"
        defines { "NDEBUG" }
        optimize "On"
